import {
  requireNativeComponent,
  UIManager,
  Platform,
  type ViewStyle,
} from 'react-native';

const LINKING_ERROR =
  `The package 'react-native-android-view' doesn't seem to be linked. Make sure: \n\n` +
  Platform.select({ ios: "- You have run 'pod install'\n", default: '' }) +
  '- You rebuilt the app after installing the package\n' +
  '- You are not using Expo Go\n';

type AndroidViewProps = {
  color: string;
  style: ViewStyle;
};

const ComponentName = 'AndroidViewView';

export const AndroidViewView =
  UIManager.getViewManagerConfig(ComponentName) != null
    ? requireNativeComponent<AndroidViewProps>(ComponentName)
    : () => {
        throw new Error(LINKING_ERROR);
      };

// Export the new MyNativeView component
export { default as MyViewManager } from './MyView';




